from PIL import Image
import os.path

#retrieve filenames in current folder
filenames = os.listdir()

#iterate through all .jpg files and add their image size to a list
imagesizes = []

tot_max_upper_y = 0
tot_max_lower_y = 0

def get_max_y(region):
    max_y = 0
    pixels = region.load()
    for i in range(region.size[0]):
        for j in range(region.size[1]):
            if pixels[i, j][0] > 200 and pixels[i, j][1] > 200 and pixels[i, j][2] > 200:
                pixels[i, j] = (255, 255, 255)
            if pixels[i, j] != (255, 255, 255):
                pixels[i, j] = (0, 0, 0)
                if j > max_y:
                    max_y = j
    return max_y

num_file = 0
for filename in filenames:
    num_file += 1
    print ("File " + str(num_file) + " of " + str(len(filenames)))
    if filename.endswith('.jpg'):
        print ("Opening file" + filename)
        img = Image.open(filename)
        print (img.format, img.size, img.mode)
        r, g, b = img.getpixel((1,1))

        print ("Extracting region containing upper graph..")
        upper_region = img.crop((49, 159, 1486, 625))

        print("Extracting region containing lower graph..")
        lower_region = img.crop((49, 663, 1486, 1129))

        max_upper_y = get_max_y(upper_region)
        print (max_upper_y)
        max_lower_y = get_max_y(lower_region)
        print (max_lower_y)

        if max_upper_y > tot_max_upper_y:
            tot_max_upper_y = max_upper_y

        if max_lower_y > tot_max_lower_y:
            tot_max_lower_y = max_lower_y


print ("Max upper y: " + str(tot_max_upper_y))
print ("Max lower y: " + str(tot_max_lower_y))