from PIL import Image
import os.path
from collections import Counter
from prettytable import PrettyTable

#retrieve filenames in current folder
filenames = os.listdir('bscan')

#iterate through all .jpg files and add their image size to a list
imagesizes = []
for filename in filenames:
    if filename.endswith('.jpg'):
        curr_dir = os.path.join('bscan', filename)
        img = Image.open(curr_dir)
        imagesizes.append(img.size)

#use Counter to count occurence of each image size
counter = Counter(imagesizes)

#use PrettyTable to construct table with columns "Image dimension" and "Occurences"
t = PrettyTable(['Image dimension', 'Occurences'])

#iterate through the occurences and add them as rows in table, sorted by descending
for key, value in sorted(counter.items(), key=lambda kv: kv[1], reverse=True):
    t.add_row([key, value])

#print table and number of different image sizes
print (t)
print ("Number of different image sizes: " + str(len(set(imagesizes))))






